%define name xmms-gdancer
%define oname gdancer
%define version 0.2.0
%define release 2mdk	

Name:		%{name}
Summary:	GDancer - The Dancing Space Ghost XMMS plugin
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Sound
URL:		http://www.figz.com/gdancer/
Source:		%{oname}-%{version}.tar.bz2
Requires:	xmms >= 1.0.0
BuildRoot:	/var/tmp/%{name}-%{version}
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
GDancer is a cute little plugin for XMMS that allows for a character to
dance to the music playing.  It also supports themes so you can pick
different characters to dance for you.

%prep
%setup -q -n %{oname}-%{version}


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
./configure --prefix=/usr
CFLAGS="$RPM_OPT_FLAGS" make


%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}


%post
/sbin/ldconfig -n /usr/lib/xmms/Visualization


%postun
/sbin/ldconfig -n /usr/lib/xmms/Visualization


%files
%defattr(-,root,root,0755)
/usr/lib/xmms/Visualization/gdancer.so
/usr/lib/xmms/Visualization/gdancer.la


%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- fix group

* Mon Mar 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip source
